### Hierarchy

- ExpandableTile

### Implements

- AfterContentInit

## Index

### Inputs

- expanded
- translations

### Constructors

- constructor

### Properties

- collapse
- currentExpandedHeight
- element
- elementRef
- expand
- expanded
- i18n
- tileMaxHeight

### Accessors

- expandedHeight
- translations

### Methods

- ngAfterContentInit
- onClick
- updateMaxHeight

## Constructors

### constructor

- new ExpandableTile(i18n: I18n, elementRef: ElementRef): ExpandableTile

- - Defined in src/tiles/expandable-tile.component.ts:64

  #### Parameters

  - ##### i18n: I18n

  - ##### elementRef: ElementRef

  #### Returns ExpandableTile

## Properties

### collapse

collapse: Overridable = this.i18n.getOverridable("TILES.COLLAPSE")

- Defined in src/tiles/expandable-tile.component.ts:64

### currentExpandedHeight

currentExpandedHeight: number = 0

- Defined in src/tiles/expandable-tile.component.ts:60

### element

element: any = this.elementRef.nativeElement

- Defined in src/tiles/expandable-tile.component.ts:61

### Protected elementRef

elementRef: ElementRef

- Defined in src/tiles/expandable-tile.component.ts:66

### expand

expand: Overridable = this.i18n.getOverridable("TILES.EXPAND")

- Defined in src/tiles/expandable-tile.component.ts:63

### expanded

@Input()
expanded: boolean = false

- Defined in src/tiles/expandable-tile.component.ts:42

### Protected i18n

i18n: I18n

- Defined in src/tiles/expandable-tile.component.ts:66

### tileMaxHeight

tileMaxHeight: number = 0

- Defined in src/tiles/expandable-tile.component.ts:59

## Accessors

### expandedHeight

expandedHeight:

- Defined in src/tiles/expandable-tile.component.ts:72

### translations

@Input()
translations:

- Defined in src/tiles/expandable-tile.component.ts:53

## Methods

### ngAfterContentInit

- ngAfterContentInit(): void

- - Defined in src/tiles/expandable-tile.component.ts:68

  #### Returns void

### onClick

- onClick(): void

- - Defined in src/tiles/expandable-tile.component.ts:91

  #### Returns void

### updateMaxHeight

- updateMaxHeight(): void

- - Defined in src/tiles/expandable-tile.component.ts:83

  #### Returns void

Generated using TypeDoc